abstract public class Shape {

  protected int size;
  protected int width;
  protected int height;

  abstract public void draw();
  abstract public float area();
  abstract public float circumference();

  public int getSize() { return size; }
  public void setSize(int size) { this.size = size; }
  public int getWidth() { return width; }
  public void setWidth(int width) { this.width = width; }
  public int getHeight() { return height; }
  public void setHeight(int height) { this.height = height; }

  public Shape(){
    this.size = 3;
  }

  public Shape(int size){
    this.size = size;
  }

}
